2020-11-20 09:20:01 -0800  Kevin McCarthy  <kevin@8t8.us> (e4fd9247)

        * Update UPDATING file for 2.0.2.

M	UPDATING

2020-11-16 10:20:21 -0800  Kevin McCarthy  <kevin@8t8.us> (04b06aaa)

        * Ensure IMAP connection is closed after a connection error.
        
        During connection, if the server provided an illegal initial response,
        Mutt "bailed", but did not actually close the connection.  The calling
        code unfortunately relied on the connection status to decide to
        continue with authentication, instead of checking the "bail" return
        value.
        
        This could result in authentication credentials being sent over an
        unencrypted connection, without $ssl_force_tls being consulted.
        
        Fix this by strictly closing the connection on any invalid response
        during connection.  The fix is intentionally small, to ease
        backporting.  A better fix would include removing the 'err_close_conn'
        label, and perhaps adding return value checking in the caller (though
        this change obviates the need for that).
        
        This addresses CVE-2020-28896.  Thanks to Gabriel Salles-Loustau for
        reporting the problem, and providing test cases to reproduce.

M	imap/imap.c

2020-11-19 15:06:51 -0800  Keld Simonsen  <keld@keldix.com> (d4c97068)

        * Updated Danish translation.

M	po/da.po

2020-11-14 13:16:03 -0800  Kevin McCarthy  <kevin@8t8.us> (42e08237)

        * automatic post-release commit for mutt-2.0.1

M	ChangeLog
M	VERSION

2020-11-14 13:10:45 -0800  Kevin McCarthy  <kevin@8t8.us> (78fe7d4e)

        * Update UPDATING file for 2.0.1.

M	UPDATING

2020-11-12 09:42:28 -0800  Kevin McCarthy  <kevin@8t8.us> (894a49f6)

        * Clarify pattern completion uses <complete>.
        
        Some users may have bound tab to another function, so be specific.

M	UPDATING

2020-11-09 10:59:44 +0100  Remco Rĳnders  <remco@webconquest.com> (86d64caa)

        * Consistently use uint32_t (closes #294)

M	hcache.c
M	mutt_random.c

2020-11-07 12:18:03 -0800  Kevin McCarthy  <kevin@8t8.us> (3d08634b)

        * automatic post-release commit for mutt-2.0.0

M	ChangeLog
M	VERSION
M	po/bg.po
M	po/ca.po
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/el.po
M	po/eo.po
M	po/es.po
M	po/et.po
M	po/eu.po
M	po/fi.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/hu.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/ko.po
M	po/lt.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/ru.po
M	po/sk.po
M	po/sv.po
M	po/tr.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_TW.po

2020-11-07 11:30:13 -0800  Kevin McCarthy  <kevin@8t8.us> (0c8f4357)

        * Add missing new header files to EXTRA_mutt_SOURCES.
        
        I forgot to add the mutt_lisp.h and mutt_random.h files there.

M	Makefile.am

2020-11-07 11:01:47 -0800  Kevin McCarthy  <kevin@8t8.us> (a374cea8)

        * Update UPDATING file for 2.0.

M	UPDATING

2020-11-06 14:31:57 -0800  Vsevolod Volkov  <vvv@mutt.org.ua> (3e9c605d)

        * Updated Russian translation.

M	po/ru.po

2020-11-06 14:29:11 -0800  Vsevolod Volkov  <vvv@mutt.org.ua> (3317883a)

        * Updated Ukrainian translation.

M	po/uk.po

2020-11-06 14:26:09 -0800  Ivan Vilata i Balaguer  <ivan@selidor.net> (32fcad9f)

        * Updated Catalan translation.

M	po/ca.po

2020-11-06 14:02:49 -0800  Kevin McCarthy  <kevin@8t8.us> (f5aa9382)

        * Disable normalization after expand_path().
        
        The algorithm used was incorrect, for '..' expansion with symlinks
        involved.  Furthermore, mutt_pretty_mailbox() takes care of this for
        us.
        
        To be conservative, just before the release, I'm leaving the function
        but converting it to a noop.  I'll pull the function out after the
        release.
        
        Thanks to Oswald Buddenhagen for pointing out the bug!

M	muttlib.c

2020-11-06 13:18:27 -0800  Kevin McCarthy  <kevin@8t8.us> (6704caf4)

        * Don't relative-path expand for fcc-hook and save-hook.
        
        "fcc-hook ~x. \\^" used to work, because mutt_addr_hook() calls
        mutt_make_string(), which performs backslash expansion.
        
        The same would happen for save-hook.
        
        Many thanks to Oswald Buddenhagen for reporting the issue.

M	hook.c
M	muttlib.c
M	protos.h

2020-11-04 23:01:55 +0100  Grzegorz Szymaszek  <gszymaszek@short.pl> (533c38f4)

        * Fix the Polish translation of “Attachments”
        
        I have misunderstood the “Atts” abbreviation for “Attributes”, while it
        actually means “Attachments”.

M	po/pl.po

2020-11-04 20:15:52 +0100  Grzegorz Szymaszek  <gszymaszek@short.pl> (cdc99643)

        * Update the Polish translation for Mutt 2.0

M	po/pl.po

2020-11-03 16:50:23 +0100  Flammie Pirinen  <tommi.pirinen@uit.no> (f26731fa)

        * updated finnish translation

M	po/fi.po

2020-11-03 07:11:00 -0800  Kevin McCarthy  <kevin@8t8.us> (e677c196)

        * Minor fix to UPDATING file.

M	UPDATING

2020-10-31 15:35:53 +0100  Petr Písař  <petr.pisar@atlas.cz> (d752a64c)

        * Czech translation updated for 2.0

M	po/cs.po

2020-10-29 14:46:30 -0400  Remco Rĳnders  <remco@webconquest.com> (f6fb0ca9)

        * Adjust Makefile.am to exclude BEWARE file

M	Makefile.am

2020-10-29 14:24:08 -0400  Remco Rĳnders  <remco@webconquest.com> (37a1950a)

        * Move contents from BEWARE to devel-notes.txt

D	BEWARE
M	doc/devel-notes.txt

2020-10-29 13:59:13 -0400  Remco Rĳnders  <remco@webconquest.com> (4fa19ba4)

        * Change instructions to subscribe to dev mail list

M	doc/devel-notes.txt

2020-10-25 15:07:55 -0700  Kevin McCarthy  <kevin@8t8.us> (9258922a)

        * Add a more explicit mention of ^G in the manual.
        
        It's a FAQ, so I think is worth emphasizing in the "getting started"
        section.

M	doc/manual.xml.head

2020-10-25 20:49:22 +0100  Christopher Zimmermann  <madroach@gmerlin.de> (cafe0fb5)

        * Allow to abort on question about multipart/alternative

M	send.c

2020-10-24 09:13:19 -0400  Remco Rĳnders  <remco@webconquest.com> (63e8ba68)

        * Updated Dutch translation.

M	po/nl.po

2020-10-23 15:50:06 -0700  Emir Sarı  <bitigchi@me.com> (d8bbd22c)

        * Update Turkish translations.

M	po/tr.po

2020-10-23 19:10:58 +0200  Olaf Hering  <olaf@aepfle.de> (18a07d14)

        * refresh de.po
        
        Signed-off-by: Olaf Hering <olaf@aepfle.de>

M	po/de.po

2020-10-22 19:41:14 -0700  Kevin McCarthy  <kevin@8t8.us> (e1089b5e)

        * Remove obsolete stamp-h.in.
        
        This file was used a long time ago (pre-1.0) when Makefile.in was
        checked in.
        
        We now generate Makefile.in from Makefile.am, and automake appears to
        use a different mechanism of time-stamping, using stamp-h + $counter.

D	stamp-h.in

2020-10-17 18:55:27 -0700  Kevin McCarthy  <kevin@8t8.us> (1036f0ed)

        * Add an initial change list for 2.0.0 to the UPDATING file.

M	UPDATING

2020-10-17 18:54:52 -0700  Kevin McCarthy  <kevin@8t8.us> (47fa1503)

        * Add the mailboxes history category to the manual.

M	doc/manual.xml.head

2020-10-14 14:29:27 +0200  Philipp Klaus Krause  <pkk@spth.de> (36640a88)

        * Since the string from strerror should never be modified, use const.

M	curs_lib.c

2020-10-12 15:34:44 -0700  Kevin McCarthy  <kevin@8t8.us> (1061dcbc)

        * Create $attach_save_dir.
        
        This will be used when saving attachments via
        mutt_save_attachment_list().
        
        Try to create the directory if it doesn't exist.  If we're unable to
        chdir or create the directory just continue on, using cwd.

M	globals.h
M	init.h
M	recvattach.c

2020-10-09 09:20:11 -0700  Kevin McCarthy  <kevin@8t8.us> (f8263764)

        * Fix mutt_oauth.py.README example.
        
        $imap_authenticators should be colon delimited.

M	contrib/mutt_oauth2.py.README

2020-10-06 13:39:55 +1100  Cameron Simpson  <cs@cskk.id.au> (0241b030)

        * doc/manual.xml.head: Most common mail sending keys: replace "compose" with "mail", incorrect function name

M	doc/manual.xml.head

2020-10-03 15:43:06 -0700  Kevin McCarthy  <kevin@8t8.us> (489ade5c)

        * Move MuttLisp example descriptions before the code.

M	doc/manual.xml.head

2020-10-01 13:33:55 -0700  Kevin McCarthy  <kevin@8t8.us> (ed9303a8)

        * More ansi/special cleanup.
        
        Relocate the checks for a->attr and special around the blocks that use
        them.

M	pager.c

2020-09-30 09:49:17 -0700  Kevin McCarthy  <kevin@8t8.us> (65b1ceab)

        * Don't do ansi coloring on a search result.

M	pager.c

2020-09-29 18:46:27 -0700  Kevin McCarthy  <kevin@8t8.us> (73a7bf2c)

        * Don't free and reuse ansi colors.
        
        You can't reallocate a color-pair to another color while the previous
        one is still on the screen.
        
        Since there are at most 64 ansi-color combinations, just let them
        accumulate.

M	pager.c

2020-09-29 14:20:24 -0700  Kevin McCarthy  <kevin@8t8.us> (a3a4d12f)

        * Fix $allow_ansi end-of-line handling for attachments.
        
        Attachment viewing doesn't set MUTT_SHOWCOLOR, but for proper display
        we need to call resolve_color() before clearing to end-of-line.

M	pager.c

2020-09-29 14:17:27 -0700  Kevin McCarthy  <kevin@8t8.us> (15372907)

        * Separate special color setting from $allow_ansi colors.
        
        The ColorDefs for MT_COLOR_BOLD and MT_COLOR_UNDERLINE should only be
        applied for the special formatting.  They shouldn't apply when
        $allow_ansi has a bold/underline sequence.
        
        Change the exclusive or operator to a regular or.  Exclusive or
        implies we are doing some kind of toggling, which we are not in this
        case.  It just confuses things.
        
        Don't make the ansi underline, reverse, and blink mutually exclusive.

M	pager.c

2020-09-23 11:08:03 -0700  Kevin McCarthy  <kevin@8t8.us> (b0ccf259)

        * Delay $hostname setting until after the muttrc is evaluated.
        
        Commit 5c5c34f2 made back in 1.6 changed Fqdn setting to use
        gethostname() and getaddrinfo() to get the canonical domain.  This is
        more accurate but can cause startup delays for systems where the DNS
        resolution is not set up properly.
        
        Because this occurred before muttrc reading, there was no workaround
        except to "fix DNS".
        
        Change Fqdn ($hostname) setting to occur after the muttrc and '-e'
        argument processing occur.
        
        This is a possible breaking change if users rely on $hostname inside
        their muttrc, for example 'source "muttrc.$hostname"'.  The workaround
        would be to put something like (depending on the system type): 'set
        hostname = `hostname --fqdn`' in the muttrc above that invocation.
        
        Also note that we still set Hostname (the internal variable) early,
        because it is used in more places than Fqdn, such as tempfiles.

M	init.c
M	init.h

2020-09-22 11:17:07 -0700  Kevin McCarthy  <kevin@8t8.us> (8a2fc801)

        * Note that $cursor_overlay affects tree colors too.
        
        Change the font on "default" to indicate that actual value allows for
        color overlays between the layers.

M	init.h

2020-09-20 18:46:48 -0700  Kevin McCarthy  <kevin@8t8.us> (9204b24e)

        * Reenable $ssl_force_tls.
        
        The next release will be 2.0, providing more justification for
        (reasonable) breaking changes.  In 2020, this should be the default.
        
        The documentation seems to already make appropriate warnings about
        $tunnel_is_secure.  Since that option is introduced this release,
        there is no need to worry about existing users with it unset.
        
        However, there were a couple stray double-quotes in the documentation
        for that, so clean those up in this commit.

M	doc/manual.xml.head
M	init.h

2020-09-19 15:31:36 -0700  Kevin McCarthy  <kevin@8t8.us> (2ce2fb7b)

        * Add refresh option to smime_keys man page.

M	doc/smime_keys.man

2020-09-18 09:39:18 -0700  Kevin McCarthy  <kevin@8t8.us> (34ba89ec)

        * Add missing full stops in smime_keys.man page.
        
        Thanks to hmartink and the manpage-l10n project for pointing out the
        issues.

M	doc/smime_keys.man

2020-09-16 09:44:07 -0700  Kevin McCarthy  <kevin@8t8.us> (e91313b8)

        * Remove casts for mutt_random_bytes() argument.
        
        Unneeded casts can hide issues later on, so take them out.

M	mutt_random.c
M	muttlib.c
M	sendlib.c

2020-09-15 14:32:19 -0700  Kevin McCarthy  <kevin@8t8.us> (ee2b9d1d)

        * Remove message-id security leaks section of manual.
        
        The message-id generator has been changed to use a combination of time
        and random components for the left side.

M	doc/manual.xml.head

2020-09-08 14:05:49 -0400  Remco Rĳnders  <remco@webconquest.com> (9da4e6e1)

        * Change Message-ID to be more unique and leak less information
        
        A Message-ID should be globally unique. Currently mutt generates this ID
        based on the current date and time, followed by ".G", followed by a letter
        A to Z (A for the 1st and 27th email sent, Z for the 26th, etc.), followed
        by the pid of the active mutt process, followed by "@" and the configured
        fqdn.
        
        This can lead to information being leaked as to an users email habits and
        activities, which might be undesirable.
        
        By replacing everything left of the "@" in the Message-ID with a Base64
        encoded timestamp and 64 bits of randomness, we no longer include this
        information.

M	sendlib.c

2020-08-31 13:48:51 -0400  Remco Rĳnders  <remco@webconquest.com> (b48233f7)

        * Use PRIu64 macro as format when printing uint64_t values

M	muttlib.c

2020-08-31 13:10:25 -0400  Remco Rĳnders  <remco@webconquest.com> (8ccd96db)

        * Implement LFRS113 PRNG functions
        
        - Instead of relying on random() implementations which can be of
        questionable quality or relying on the presence of /dev/urandom, we
        implement our own PRNG implementation that uses the LFRS113 PRNG algorithm
        by Pierre L'Ecuyer.
        
        We seed this PRNG with values based on time, pid and ppid. It is OK if not
        all seeds are of the highest quality as all four seeds would have to be
        known to predict the numbers generated. In addition to this, we also use
        /dev/urandom values (if available) that we mix into our four seeds.
        
        In case we are reseeding we will also reuse our existing state information
        for setting the new seed values.
        
        - Add a function to Base64 encode 96 random bits

M	Makefile.am
M	init.c
A	mutt_random.c
A	mutt_random.h
M	muttlib.c
M	sendlib.c

2020-09-13 00:05:22 +0100  isdtor  <isdtor@gmail.com> (56de020a)

        * Add note about $smime_default_key to use with GPGME.
        
        When using GPGME for S/MIME, the key id used should be the id
        displayed by "gpgsm --list-keys".

M	init.h

2020-09-06 15:39:07 -0700  Kevin McCarthy  <kevin@8t8.us> (4219d5f9)

        * Block signals during mbox-append operation.
        
        I first noticed this back in 2017, but no one replied to my query to
        mutt-dev and I forgot about it too.
        
        Thanks to Oswald Buddenhagen for the followup when he was going
        through the mailing list archives, confirming the mistake.
        
        I've also reviewed MUTT_APPEND and MUTT_NEWFOLDER uses to make sure
        the context is properly closed (and the signals restored).

M	mbox.c

2020-09-05 15:15:40 -0700  Kevin McCarthy  <kevin@8t8.us> (7157d009)

        * Removed unused mutt_expand_path()
        
        All usages now call mutt_buffer_expand_path().

M	muttlib.c
M	protos.h

2020-09-05 15:11:59 -0700  Kevin McCarthy  <kevin@8t8.us> (d76aebd2)

        * Convert _mutt_enter_string() to use buffer expand_path function.
        
        This is the last usage of mutt_expand_path().  Converting all of
        _mutt_enter_string() is a large project, so instead just localize to
        use a BUFFER for the mutt_expand_path() call.

M	enter.c

2020-09-05 14:10:18 -0700  Kevin McCarthy  <kevin@8t8.us> (4a2f1067)

        * Remove unused mutt_quote_filename().
        
        All callers now call the buffer function instead.

M	lib.c
M	lib.h

2020-09-04 19:46:02 -0700  Kevin McCarthy  <kevin@8t8.us> (bf68f089)

        * Convert mutt_create_alias and helpers to use buffer pool.
        
        This is working towards removing a few of the partially converted path
        functions, such as mutt_expand_path().

M	alias.c
M	protos.h

2020-09-06 23:21:15 +0200  Olaf Hering  <olaf@aepfle.de> (2d9c05c9)

        * Fix typos in de.po
        
        Signed-off-by: Olaf Hering <olaf@aepfle.de>

M	po/de.po

2020-09-04 14:16:21 -0700  Kevin McCarthy  <kevin@8t8.us> (c4fe5624)

        * Use muttmua ubuntu image for shellcheck.

M	.gitlab-ci.yml

2020-09-04 14:11:55 -0700  Kevin McCarthy  <kevin@8t8.us> (0f97dd3a)

        * Turn off shellcheck unused var warning for doc/instdoc.sh.

M	doc/instdoc.sh.in

2020-08-30 13:26:29 -0700  Kevin McCarthy  <kevin@8t8.us> (7ae6d9aa)

        * Disable relative expansion for signature and source pipes.
        
        Relative expansion shouldn't be performed when those values are to be
        executed as a pipe for the output.
        
        I believe this issue only affects $signature and the source command,
        so for now I'm disabling relative expansion for those two cases.  If
        there is too much more breakage, I will consider backing out the
        relative expansion and disabling the :cd command.
        
        Thanks to Aaron Schrab for reporting this issue.

M	init.c

2020-08-28 15:51:55 -0700  Kevin McCarthy  <kevin@8t8.us> (2ba1d11f)

        * Normalize expanded paths with '.' or '..' in them.
        
        This usage is not too likely, but to prevent strange looking mailbox
        paths, make sure the path is normalized after being expanded.

M	muttlib.c

2020-07-29 13:44:17 -0700  Kevin McCarthy  <kevin@8t8.us> (6fc79323)

        * Remove relative path expansion for some cases.
        
        Some paths, such as the folder browser, or certain hook values,
        should be expanded for shortcuts, but not for relative paths.
        
        Configuration variables that hold commands that search by PATH should
        also not be expanded.
        
        Create a separate call, and a separate data type for config vars.

M	browser.c
M	commands.c
M	doc/makedoc.pl
M	hook.c
M	init.c
M	init.h
M	muttlib.c
M	protos.h
M	recvattach.c

2020-07-26 19:10:57 -0700  Kevin McCarthy  <kevin@8t8.us> (0f455d51)

        * Change expand_path() to expand relative paths.
        
        The introduction of the "cd" command can make relative paths
        unreliable.  Change expand_path() to expand relative paths.
        
        Change pretty_mailbox() to contract relative paths, but only when the
        folder is outside of homedir, or when cwd is underneath the homedir.
        
        To try and keep the sidebar from changing, use the pretty_mailbox code
        to contract relative paths only.

M	muttlib.c
M	sidebar.c

2020-08-29 12:30:18 -0700  Kevin McCarthy  <kevin@8t8.us> (092bc204)

        * Merge branch 'stable' into master

2020-08-29 12:29:50 -0700  Kevin McCarthy  <kevin@8t8.us> (f34d0909)

        * automatic post-release commit for mutt-1.14.7

M	ChangeLog
M	VERSION

2020-08-27 15:11:25 -0700  Kevin McCarthy  <kevin@8t8.us> (55c09cfb)

        * Merge branch 'stable' into master

2020-08-25 12:29:14 -0400  Remco Rĳnders  <remco@webconquest.com> (20165b4e)

        * Remove always true conditional (#if 1)

M	main.c

2020-08-25 12:23:37 -0400  Remco Rĳnders  <remco@webconquest.com> (9ef96f1f)

        * Remove always true conditional (#if 1)

M	strcasestr.c

2020-08-25 12:16:52 -0400  Remco Rĳnders  <remco@webconquest.com> (ae3014e9)

        * Make returns after mx_fastclose_mailbox calls more consistent and cleaner

M	mx.c

2020-08-25 12:14:33 -0400  Remco Rĳnders  <remco@webconquest.com> (97398c4f)

        * Remove always true conditional (#if 1)

M	imap/imap.c

2020-08-22 07:43:15 -0700  William Yardley  <wyardley@users.noreply.github.com> (3f856d11)

        * refactor: update shell scripts for shellcheck warnings
        
        This updates shell scripts in the project to resolve shellcheck lint
        warnings.
        
        A couple of warnings are ignored instead, at least for now.

M	check_sec.sh
M	contrib/bgedit-detectgui.sh
M	contrib/iconv/make.sh
M	gen_defs
M	txt2c.sh

2020-08-24 12:12:39 -0700  William Yardley  <wyardley@users.noreply.github.com> (6f4c0f7a)

        * gen_defs: switch from $(()) to expr
        
        For greater compatibility with Solaris's Bourne shell, switch to "expr" for
        numeric evaluation

M	gen_defs

2020-08-21 21:43:23 -0700  William Yardley  <wyardley@users.noreply.github.com> (18dc7be4)

        * ci: enable shellcheck

M	.gitlab-ci.yml
M	Makefile.am

2020-08-25 09:00:26 -0700  Kevin McCarthy  <kevin@8t8.us> (2d1da9c0)

        * Merge branch 'stable' into master

2020-08-21 22:50:55 -0700  William Yardley  <wyardley@users.noreply.github.com> (2f5a9496)

        * mutt_oauth2: update for pylint / flake8 warnings
        
        * Update style to resolve some pylint / flake8 warnings
        * Run pylint / flake8 in CI

M	.gitlab-ci.yml
A	.pylintrc
M	contrib/mutt_oauth2.py

2020-08-21 15:22:50 -0700  Alexander Perlis  <aperlis@math.lsu.edu> (c0218ade)

        * Updates to contrib/mutt_oauth2.py and README.
        
        The newer version of the mutt_oauth2.py script incorporates the
        following changes:
         - Uses /usr/bin/env at top
         - Many formatting changes to appease pylint
         - Improvement to POP test error message output
        
        Also attached is a README that has instructions for both Microsoft and Google.

M	contrib/mutt_oauth2.py
M	contrib/mutt_oauth2.py.README

2020-07-23 19:15:11 +0300  Maxim Tarasov  <mu@magi.net.ru> (a563ce85)

        * Change hardcoded subject of replies
        
        This affects prefilled subject of a reply to an email with an empty
        subject.

M	send.c

2020-08-13 13:00:01 -0700  Kevin McCarthy  <kevin@8t8.us> (2bfb7fed)

        * Merge branch 'stable' into master

2020-08-13 19:07:10 +0200  Vincent Lefevre  <vincent@vinc17.net> (c994f365)

        * Updated French translation.

M	po/fr.po

2020-08-10 11:19:46 -0700  Kevin McCarthy  <kevin@8t8.us> (a84e8823)

        * Improve clarity of help format_line() splitting.
        
        Thanks to Zero King for the initial patch.  He says the original line
        confused some static analysis tools.
        
        I don't see anything wrong with the operator precedence, but as long
        as we are cleaning up the line, split assignment and conditional
        evaluation to make it even clearer.

M	help.c

2020-08-06 15:50:53 -0700  Kevin McCarthy  <kevin@8t8.us> (17df35f0)

        * Merge branch 'stable'

2020-08-04 11:03:08 -0700  Kevin McCarthy  <kevin@8t8.us> (8e8c586d)

        * Fix manual typo.

M	doc/manual.xml.head

2020-08-03 16:14:29 -0700  Kevin McCarthy  <kevin@8t8.us> (2fbc29ec)

        * Allow my_var assignments to reference the $my_var in the value.
        
        This is important for MuttLisp, where the current value could be used
        to determine the new assignment.

M	init.c

2020-08-01 19:55:26 -0700  Kevin McCarthy  <kevin@8t8.us> (312e9bd9)

        * Fix MuttLisp extract_token() call to remove trailing whitespace.
        
        MoreArgs() doesn't look for whitespace, and so assumes
        mutt_extract_token() will remove trailing whitespace too.

M	init.c

2020-07-27 08:56:10 +0200  Olaf Hering  <olaf@aepfle.de> (7fe1aaad)

        * refresh de.po
        
        Signed-off-by: Olaf Hering <olaf@aepfle.de>

M	po/de.po

2020-07-26 03:04:33 +0300  Maxim Tarasov  <mu@magi.net.ru> (0b3fc03c)

        * Fix man section in reference to mutt_dotlock

M	init.h

2020-07-26 03:00:54 +0300  Maxim Tarasov  <mu@magi.net.ru> (661bd665)

        * Update mutt.1 manpage
        
        * Change the wording for some options to be imperative.
        
        * Rename parameters to be descriptive ("draft" instead of "file").
        
        * Mention possible values for -m parameter.
        
        * Change "file [...]" to "file ..." as ellipsis already implies it's
          optional.
        
        * Format entries in the SYNOPSIS to avoid wrapping inside square
          brackets.
        
        * Space out examples in -a description.
        
        * Use consistent formatting everywhere: options using B, paths and
          option values using I, manual references using BR.
        
        * Group together descriptions of EDITOR and VISUAL environment
          variables since they're closely related. Mention the default editor.
        
        * Add references to these environment variables: EGDSOCKET, RANDFILE,
          LC_ALL, LC_CTYPE, LANG, and TEXTDOMAINDIR.
        
        * Clarify the way TMPDIR is used.
        
        * Add ~/.muttdebug0 to the FILES section.
        
        * Add missing manual pages to the SEE ALSO section. Sort the list.
        
        * Add line breaks after sentences (this is recommended in roff manual
          to enable sentence processing; sentences are double spaced
          automatically).

M	doc/mutt.man

2020-07-26 13:47:06 +0000  Asif Talybov  <talybov.asif@yandex.ru> (be906781)

        * Update russian translation - add a missing character and fix typo

M	po/ru.po

2020-07-25 16:08:03 -0700  Kevin McCarthy  <kevin@8t8.us> (317abd8f)

        * Fix a few typos in the manual.

M	doc/manual.xml.head
M	init.h

2020-07-25 16:07:14 -0700  Kevin McCarthy  <kevin@8t8.us> (9ab12e1e)

        * Add missing commands in the muttrc.man page.

M	doc/muttrc.man.head

2020-07-25 14:25:43 -0700  Kevin McCarthy  <kevin@8t8.us> (692a6069)

        * Add empty-request lines to muttrc.man for spacing.
        
        Adding them makes it a bit easier to see where the different commands
        stop and start.

M	doc/muttrc.man.head

2020-07-25 13:03:09 -0700  Kevin McCarthy  <kevin@8t8.us> (9edbbac1)

        * Change POP3 oauth to not use initial response.
        
        The Microsoft documents indicate their implementation requires a
          > AUTH XOAUTH2
          < +
          > token
        sequence.
        
        I don't have their services configured to test, but it's safer to
        assume not all implementations will support initial response.
        
        I did test Gmail's and they are fine with the second round trip.

M	pop_auth.c

2020-07-25 09:29:21 -0700  Kevin McCarthy  <kevin@8t8.us> (e050c314)

        * Improve w3m invocation for manual.txt generation.
        
        This fix is also from Ambrose Li (@gniw).  The invocation makes sure
        w3m won't attempt a remote connection if manual.html doesn't exist and
        a proxy is configured, by using manual.txt as stdin.
        
        It also gives a non-zero exit status in that case, and makes sure
        input is processed as utf-8.

M	doc/Makefile.am

2020-07-25 04:18:03 +0300  Maxim Tarasov  <mu@magi.net.ru> (daab98e3)

        * Change \fC to \fB during muttrc.man generation
        
        \fC is not actually a valid escape sequence. Using it results in
        misplaced underlined formatting.

M	doc/makedoc.pl

2020-07-24 16:02:32 -0700  Kevin McCarthy  <kevin@8t8.us> (a21c9fc1)

        * Merge branch 'stable'

2020-07-23 17:11:47 +0300  Maxim Tarasov  <mu@magi.net.ru> (6479ec5c)

        * Mention $XDG_CONFIG_HOME in the manpage
        
        Mutt supported processing $XDG_CONFIG_HOME/mutt/muttrc for a while
        now, but mutt(1) man page hasn't been updated to reflect that.
        
        This will also replace .IP with .TP to use one line per file name and
        highlight file names with .I which is common practice in manual
        formatting.

M	doc/mutt.man

2020-07-22 18:46:51 -0700  Kevin McCarthy  <kevin@8t8.us> (3c2501e5)

        * Fix redraw_motion() redraw bug.
        
        Commit e2a28006 moved the cur_color assignment so that $arrow_cursor
        could also use the value for overlays.
        
        Unfortunately, it at the same time moved the call *after* the call to
        mutt_window_move(), which would introduce a drawing bug if
        menu->color() went across IMAP.
        
        The previous commit removed overlays for $arrow_cursor, also removing
        the need for cur_color to be assigned for both.  Move it back to where
        it was before.

M	menu.c

2020-07-22 18:22:03 -0700  Maxim Tarasov  <mu@magi.net.ru> (12ff55e2)

        * Add color overlay to print_enriched_string().
        
        It is called by main menu drawing routines and contains its own
        conditional coloring of a tree component. As is, everything in there
        gets overwritten by the indicator. Furthermore, do_color parameter
        specifically disables any coloring in order for indicator highlight to
        overwrite everything else.
        
        We need to merge three colors here:
        
        1) index color;
        2) tree color, that is drawn within menu using its own color;
        3) indicator color, that, if active, is drawn over both of them.
        
        Combining these colors is implemented in that order.
        
        After some testing, I think it doesn't make sense to merge colors when
        $arrow_cursor is on. This part is reverted to the original behavior.
        
        Make print_enriched_string() coloring behavior self-contained, instead
        of assuming the proper base_color is already set.  This makes the
        callers simpler and allows them to only handle $arrow_cursor logic.

M	menu.c

2020-07-21 14:40:50 -0700  Maxim Tarasov  <mu@magi.net.ru> (aa8e6d4c)

        * Fix cursor overlay logic.
        
        Attributes should always be merged, not only when indicator background
        or foreground is set.

M	color.c

2020-07-20 19:43:58 -0700  Kevin McCarthy  <kevin@8t8.us> (e12028bd)
